package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * ImageRecord
 *
 * @author mtx
 * @date: 2024-09-12 13:59:30
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("影像记录")
@TableName("erm_image_record")
public class ImageRecord extends EitcBaseEntity {

    @TableField(value = "identification_card")
    @ApiModelProperty(value = "身份证号", name = "identificationCard")
    private String identificationCard;

    @TableField(value = "image_url")
    @ApiModelProperty(value = "影像路径", name = "imageUrl")
    private String imageUrl;

    @TableField(value = "full_image_url")
    @ApiModelProperty(value = "影像全路径", name = "fullImageUrl")
    private String fullImageUrl;

}
